include	clib.inc

	public	_stdmsg
	extrn	@stdmsg: DIST

_TEXT	SEGMENT

_stdmsg	PROC	DIST 	; char *title, char *frm, ...
ifdef LPROG
	popm	cs:CSIP	; return adress
else
	pop	cs:CSIP
endif
	pop	ax	; pop args
	pop	dx
	pop	dx
	pop	bx
	call	@stdmsg
	sub	sp,8	; push args
ifdef LPROG
	pushm	cs:CSIP	; return adress
else
	push	cs:CSIP
endif
	ret		; "C" return
_stdmsg	ENDP

CSIP	PF	?

_TEXT	ENDS

	END
